* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  -webkit-text-size-adjust: 100%;
  text-rendering: optimizeLegibility;
  -moz-osx-font-smoothing: grayscale;
  touch-action: manipulation;
  scroll-behavior: smooth;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Poppins", sans-serif;
}

@font-face {
  font-family: "New Era Casual";
  src: url(./assets/fonts/New-Era-Casual-Bold-Italic/New\ Era\ Casual\ Regular.ttf);
}

body {
  display: flex;
  align-items: center;
  justify-content: center;
  background-image: linear-gradient(0deg, #ffffff 0%, #ffe0d5 101.86%);
}

.container {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 85vw;
  min-height: 100vh;
  max-height: 100vh;
  position: relative;

  font-family: "Poppins", sans-serif;

  background: url("./assets/landing.png");
  background-repeat: no-repeat;
  background-size: 95vh;
  background-position: center;
  background-position-x: calc(100% - 6rem);

  padding: 2.75rem 6rem;
}

.title-wrapper {
  display: flex;
  flex-direction: column;
  padding-bottom: 2.25rem;

  cursor: pointer;
}

.logo {
  width: 16.75rem;
}

.label {
  position: relative;
  width: fit-content;

  background: #ffd3c4;
  margin-bottom: 1rem;
  padding: 0.25rem 0.75rem;
  border-radius: 0.75rem;
}

.label span {
  font-size: 1.25rem;
  font-weight: 300;
  font-family: "Poppins", sans-serif;
  font-style: italic;
  color: #fa4a0c;

  margin-right: 1.5rem;
}

.label-icon {
  position: absolute;
  top: 0;
  right: -1rem;
}

.soon-text {
  font-size: 3.375rem;
  font-weight: 300;
  font-family: "Poppins", sans-serif;
}

.description-wrapper {
  display: flex;
  flex-direction: column;
}

.description-wrapper p {
  font-size: 3.375rem;
  font-weight: 800;
  color: #4b4b4b;
}

.description-wrapper strong {
  display: flex;
  font-size: 4.375rem;
  font-weight: 900;
  color: #fa4a0c;
}

.description-wrapper strong span {
  display: flex;
  align-items: center;
  margin-left: 1.5rem;
}

.instagram {
  display: flex;
  align-items: center;
  margin-top: auto;

  text-decoration: none;
  color: #4b4b4b;
}

.instagram span {
  font-size: 1.25rem;
  font-weight: 500;
  font-style: italic;

  margin-left: 1rem;
}

@media (max-width: 1200px) {
  .container {
    max-width: 95vw;
  }
}

@media (max-width: 1020px) {
  .container {
    max-width: 99vw;
    background-size: 80vh;
    background-position-x: right;

    padding: 2.5rem 3rem;
  }
}

@media (max-width: 750px) {
  .container {
    background: none;
    align-items: center;
  }

  .description-wrapper p {
    text-align: center;
  }
  .description-wrapper strong {
    justify-content: center;
  }
}

@media (max-width: 550px) {
  .container {
    padding: 1.5rem 1rem;
  }

  .title-wrapper {
    padding-bottom: 3.5rem;
  }

  .soon-text {
    font-size: 2.75rem;
    margin-bottom: 2.5rem;
  }

  .description-wrapper p {
    font-size: 2.75rem;
    margin-bottom: 1rem;
  }
  .description-wrapper strong {
    font-size: 3.75rem;
  }
  .description-wrapper strong span {
    margin-left: 1rem;
  }
  .description-wrapper strong span img {
    height: 3.75rem;
  }
}

@media (max-width: 400px) {
  .soon-text {
    font-size: 2rem;
    margin-bottom: 1.5rem;
  }

  .description-wrapper p {
    font-size: 2rem;
    margin-bottom: 0.5rem;
  }

  .description-wrapper strong {
    font-size: 2.75rem;
  }
}

@media (min-width: 1550px) {
  .container {
    max-width: 85vw;
  }

  .soon-text {
    font-size: 4.75rem;
    margin-top: 4rem;
    margin-bottom: 2rem;
  }

  .description-wrapper p {
    font-size: 4.75rem;
    margin-bottom: 2rem;
  }
  .description-wrapper strong {
    font-size: 4.75rem;
  }
  .description-wrapper strong span {
    margin-left: 2rem;
  }
  .description-wrapper strong span img {
    height: 4.75rem;
  }
}

@media (min-width: 1550px) and (max-height: 930px) {
  .soon-text {
    font-size: 3.75rem;
    margin-top: 1.5rem;
    margin-bottom: 1rem;
  }

  .description-wrapper p {
    font-size: 3.75rem;
    margin-bottom: 1rem;
  }
  .description-wrapper strong {
    font-size: 3.75rem;
  }
  .description-wrapper strong span img {
    height: 3.75rem;
  }
}

@media (min-width: 2000px) {
  .container {
    max-width: 70vw;
  }

  .soon-text {
    font-size: 5.5rem;
  }

  .description-wrapper p {
    font-size: 5.5rem;
  }
  .description-wrapper strong {
    font-size: 6.5rem;
  }
  .description-wrapper strong span {
    margin-left: 2rem;
  }
  .description-wrapper strong span img {
    height: 6.5rem;
  }
}

@media (min-width: 2000px) and (max-height: 980px) {
  .container {
    max-width: 65vw;
  }

  .soon-text {
    font-size: 4.75rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
  }

  .description-wrapper p {
    font-size: 4.75rem;
    margin-bottom: 1rem;
  }
  .description-wrapper strong {
    font-size: 4.75rem;
  }
  .description-wrapper strong span img {
    height: 4.75rem;
  }
}

@media (min-width: 2000px) and (max-height: 860px) {
  .container {
    max-width: 60vw;
  }

  .soon-text {
    font-size: 3.75rem;
    margin-top: 1rem;
    margin-bottom: 0;
  }

  .description-wrapper p {
    font-size: 3.75rem;
    margin-bottom: 1rem;
  }
  .description-wrapper strong {
    font-size: 3.75rem;
  }
  .description-wrapper strong span img {
    height: 3.75rem;
  }
}

@media (min-width: 2500px) and (max-height: 860px) {
  .container {
    max-width: 50vw;
  }
}
